<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
</head>
<body>
	
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
	<hr>
	<br>

	<h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>

	<h2><strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></h2>
	<hr>

	<p>
		<strong>Keyword:</strong> code of ethics, professional responsibility, software engineering</p>

	<h4><strong>PREAMBLE</strong></h4>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these <br> aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the <br> aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code. 

	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected <br> profession. In accordance with their commitment ti the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

	<h4><strong>PRINCIPLES</strong></h4>
	
	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Sotware engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputaion of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding of their profesion and shall promote an ethical approcah to the practice of the profession.</li>
	</ol>


</body>
</html>